Skip to main content
POST
/
workflows
Create workflow
curl --request POST \
  --url https://api.getenso.ai/workflows \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Send Slack on invoice raised",
  "trigger": "invoice.raised",
  "steps": [
    {}
  ]
}
'
{
  "status": "success",
  "message": "Success",
  "data": {}
}
Not accessible by SystemUser role. Requires Admin.

Authorizations

Authorization
string
header
required

JWT bearer token obtained from POST /auth/system-login using your client credentials.

Body

application/json
name
string
required
Example:

"Send Slack on invoice raised"

trigger
string
required
Example:

"invoice.raised"

steps
object[]

Response

Success

status
string
Example:

"success"

message
string
Example:

"Success"

data
object

Endpoint-specific payload (object, array, or null)